Bug 228880 - kpilot is missing in kdepim-3.5.6-0.2.fc6
kpilot is missing in kdepim-3.5.6-0.2.fc6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-15 13:44 EST by Rudolf Ulc
Modified: 2008-05-06 15:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff list kdepim-3.5.5-0.2 and kdepim-3.5.6-0.2 (8.53 KB, text/x-diff)
2007-02-15 13:46 EST, Rudolf Ulc
no flags Details

  None (edit)
Description Rudolf Ulc 2007-02-15 13:44:08 EST
Description of problem:

kpilot is missing in kdepim-3.5.6-0.2.fc6
Comment 1 Rudolf Ulc 2007-02-15 13:46:04 EST
Created attachment 148133 [details]
diff list kdepim-3.5.5-0.2 and kdepim-3.5.6-0.2
Comment 2 Sammy 2007-02-15 15:44:32 EST
Kpilot in KDe 3.5.6 requires pilot-link >= 0.12.0 (and optionally libmal for
the conduit stuff). Currently I have 0.11.8. If these are upgraded it will 
build again.
Comment 3 Ngo Than 2007-02-20 12:58:34 EST
pilot-link >= 0.12 is required to build kpilot now. I don't think we can 
update new pilot-link in FC6 because it will break evolution.
Perhaps i should add new pilot-link in kdepim.
Comment 4 Anand Buddhdev 2007-02-24 19:27:08 EST
I too was bitten by this after an upgrade, and I'm actually quite peeved that a rather useful component 
like kpilot was just dropped from the package without any notice. The changelog doesn't mention 
anything, and I thought I was going crazy until I searched bugzilla and found this report. I think the 
package maintainer should do whatever is necessary to ensure that kpilot is included and working in the 
package, because now I have no way to sync my addresses and diary with my palm.

Please be kind enough to provide an idea of when a fixed package will be released. That way, I can 
decide whether I am going to wait a couple of days, or consider downgrading to 3.5.5.
Comment 5 Anand Buddhdev 2007-02-25 18:32:28 EST
Well, I needed to sync my Palm with my desktop, so I decided to upgrade. Since I don't use either of 
evolution or jpilot (which depend on pilot-link 0.11), I grabbed the latest pilot-link and kdepim from 
Rawhide, and upgraded those 2 packages on my system. Now, I can sync my Palm to my desktop, and 
I'm satisfied with the solution.
Comment 6 Georg Lutz 2007-03-28 16:47:58 EDT
Arghh. This is really anoying. Just upgraded from FC5 to FC6 and the first thing
which broke was an error message saying that kpilot could not be started.

Ngo: You mentioned to add new pilot-link in kdepim. Is it possible to have an
extra installation of pilot-link inside kdepim beneath the normal pilot-link
package or build a statically linked version of kpilot? If yes, I would kindly
ask you to re-enable kpilot this way, because otherwise it is not possible to
sync Palm Pilots to kontact in Fedora and people - like me - relied on it in the
past.
Comment 7 Marc Thompson 2007-03-31 17:29:50 EDT
I respectfully request this issue be escalated.  It is affecting me, as well. 
kpilot is probably used by many, many people, IMHO.
Comment 8 Marc Thompson 2007-03-31 19:28:40 EDT
Follow-up:
I installed this kdepim:

http://mirrors.kernel.org/fedora/core/test/6.92/Prime/i386/os/Fedora/kdepim-3.5.6-3.fc7.i386.rpm
 

It has kpilot and kpilotDaemon and appears to be working properly for me. 
HotSync worked like a champ.
Comment 9 Bug Zapper 2008-04-04 02:15:10 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 15:14:21 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.